package intrinsic.mx.core;

public class ClassFactory extends Object implements intrinsic.mx.core.IFactory {

	/** Accessors */

	/** Variables */
	public Object properties;
	public intrinsic.Class generator;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ClassFactory() {
}

public ClassFactory(intrinsic.Class arg0) {
}


/** Static Methods */

/** Methods */
public native Object newInstance();

}
